Debian Bug report logs - #428936
nictools-pci: FTBFS: alta-diag.c:87:27: error: asm/unaligned.h: No such file or directory

version graph

Package: nictools-pci; Maintainer for nictools-pci is Debian QA Group <packages@qa.debian.org>; Source for nictools-pci is src:nictools-pci.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 15 Jun 2007 06:45:01 UTC

Severity: serious

Tags: lenny, patch, sid

Found in version nictools-pci/1.3.8-1

Fixed in version nictools-pci/1.3.8-1.1

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#428936; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: nictools-pci: FTBFS: alta-diag.c:87:27: error: asm/unaligned.h: No such file or directory
Date: Fri, 15 Jun 2007 08:40:28 +0200
Package: nictools-pci
version: 1.3.8-1
Severity: serious
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:
make[1]: Entering directory `/build/user/nictools-pci-1.3.8'
gcc -O -Wall -Wstrict-prototypes -o alta-diag alta-diag.c \
			-DLIBFLASH libflash.c -DLIBMII libmii.c
alta-diag.c:87:27: error: asm/unaligned.h: No such file or directory
make[1]: *** [alta-diag] Error 1
make[1]: Leaving directory `/build/user/nictools-pci-1.3.8'
make: *** [build-stamp] Error 2

The full build log is available from
http://people.debian.org/~lucas/logs/2007/06/14/

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Tags added: lenny, sid Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Sat, 30 Jun 2007 00:57:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#428936; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Micha Lenk <micha@lenk.info>:
Extra info received and forwarded to list. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #12 received at 428936@bugs.debian.org (full text, mbox):

From: Micha Lenk <micha@lenk.info>
To: 428936@bugs.debian.org
Subject: Re: nictools-pci: FTBFS: alta-diag.c:87:27: error: asm/unaligned.h: No such file or directory
Date: Mon, 30 Jul 2007 01:12:02 +0200
[Message part 1 (text/plain, inline)]
tags 428936 patch
stop

Hi,

On Fri, Jun 15, 2007 at 08:40:28AM +0200, Lucas Nussbaum wrote:
> During a rebuild of all packages in sid, your package failed to build on i386.
> 
> Relevant part:
> make[1]: Entering directory `/build/user/nictools-pci-1.3.8'
> gcc -O -Wall -Wstrict-prototypes -o alta-diag alta-diag.c \
> 			-DLIBFLASH libflash.c -DLIBMII libmii.c
> alta-diag.c:87:27: error: asm/unaligned.h: No such file or directory

The file asm/unaligned.h was previously provided by the package
linux-kernel-headers which, according to [0] is not available any more.
Its replacement package linux-libc-dev, which provides some of the files
in /usr/include/asm previously provided by linux-kernel-headers, doesn't
provide this file any more.

0. http://lists.debian.org/debian-glibc/2007/07/msg00094.html

I then looked for a newer version of the nictools, but at the download
location given in debian/copyright I didn't find any nictools at all -
upstream seems to be dead (reported as bug #435190). As the file
asm/unaligned.h available in etch's linux-kernel-headers isn't that big
and as it seems to do nothing really kernel specific magic stuff I
simply copied it (and recursively its inner included files) into a new
file unaligned.h and altered all relevant source files to include this
header file instead of the one not available in /usr/include any more.
The patch is attached to this message.

I know that this is a quite ugly workaround because it messes around
with upstream source, but to the best of my knowledge it seems to close
the bug. And if there really is no upstream source anymore this is
probably okay...

I hope this patch is of any help

Greetings
  Micha
[bug_428936_fix.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Micha Lenk <micha@lenk.info> to control@bugs.debian.org. (Sun, 29 Jul 2007 23:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alain Schroeder <alain@debian.org>:
Bug#428936; Package nictools-pci. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Alain Schroeder <alain@debian.org>. Full text and rfc822 format available.

Message #19 received at 428936@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: 428936@bugs.debian.org, 408787@bugs.debian.org, 444595@bugs.debian.org
Subject: Diff of the NMU
Date: Sat, 12 Jan 2008 01:07:19 +0100
[Message part 1 (text/plain, inline)]
I have just done an NMU of nictools-pci to fix the long standing bugs.
Please find attached the diff of the NMU.

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net
[NMU.diff (text/x-diff, attachment)]

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 428936-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 428936-close@bugs.debian.org
Subject: Bug#428936: fixed in nictools-pci 1.3.8-1.1
Date: Sat, 12 Jan 2008 00:17:03 +0000
Source: nictools-pci
Source-Version: 1.3.8-1.1

We believe that the bug you reported is fixed in the latest version of
nictools-pci, which is due to be installed in the Debian FTP archive:

nictools-pci_1.3.8-1.1.diff.gz
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1.diff.gz
nictools-pci_1.3.8-1.1.dsc
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1.dsc
nictools-pci_1.3.8-1.1_amd64.deb
  to pool/main/n/nictools-pci/nictools-pci_1.3.8-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 428936@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated nictools-pci package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 00:57:52 +0100
Source: nictools-pci
Binary: nictools-pci
Architecture: source amd64
Version: 1.3.8-1.1
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 nictools-pci - Diagnostic tools for many PCI ethernet cards
Closes: 408787 428936 444595
Changes: 
 nictools-pci (1.3.8-1.1) unstable; urgency=low
 .
   * Non-maintainer upload from the Z├╝rich BSP.
   * Use patch from Micha Lenk to fix FTBFS: provide linux macros
     set_unaligned() and get_unaligned() in new file unaligned.h
     previously provided by package linux-libc-dev (closes: #428936).
   * Add armel and armeb to the list of supported architectures
     (closes: #408787).
   * Fix a typo in rtl8139-diag(8) (closes: #444595).
Files: 
 88928975b1bb1c16177a3a0ba0896ae3 604 net extra nictools-pci_1.3.8-1.1.dsc
 6d78f97cb77ec15a453a3dac3ccccdff 21318 net extra nictools-pci_1.3.8-1.1.diff.gz
 f667de22506f31ebb66a15bd59eb8ef8 244840 net extra nictools-pci_1.3.8-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiAPKw3ao2vG823MRAjpsAJ4ydmJT1/cX8kKhuUbxhkkIMIacoQCfTOap
UcnwZF++cKcxIknnqT8yJCE=
=w+ER
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 08:38:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:48:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.